<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [bitburner](./bitburner.md) &gt; [BladeburnerFormulas](./bitburner.bladeburnerformulas.md) &gt; [skillMaxUpgradeCount](./bitburner.bladeburnerformulas.skillmaxupgradecount.md)

## BladeburnerFormulas.skillMaxUpgradeCount() method

Calculate the number of times that you can upgrade a skill.

**Signature:**

```typescript
skillMaxUpgradeCount(name: BladeburnerSkillName, level: number, skillPoints: number): number;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  name | [BladeburnerSkillName](./bitburner.bladeburnerskillname.md) | Skill name. It's case-sensitive and must be an exact match. |
|  level | number | Skill level. It must be a non-negative number. |
|  skillPoints | number | Number of skill points to upgrade the skill. It must be a non-negative number. |

**Returns:**

number

Number of times that you can upgrade the skill.

